List all flags for a team
GET
https://api.vercel.com/v2/teams/{teamId}/feature-flags/flagsRetrieve all feature flags for a team across all projects. Returns an opaque cursor for pagination.
https://api.vercel.com/v2/teams/{teamId}/feature-flags/flags
const response = await fetch('https://api.vercel.com/v2/teams/teamId/feature-flags/flags?state=string&limit=123&cursor=string&search=string&kind=string&tags=[]&createdBy=string&maintainerIds=[]&includeMarketplaceFlags=true&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "pagination": { "next": "string" }, "data": [ { "createdAt": "123", "createdBy": "string", "description": "string", "environments": "value", "id": "icfg_1234567890", "kind": "boolean", "maintainerIds": [], "ownerId": "example_id", "permanent": "false", "projectId": "example_id", "revision": "123", "seed": "123", "seenInProduction": "false", "slug": "string", "state": "active", "tags": [], "typeName": "flag", "updatedAt": "123", "updatedBy": "string", "variants": [ { "description": "string", "id": "icfg_1234567890", "label": "string", "value": "string" } ], "metadata": { "creator": { "id": "icfg_1234567890", "name": "Example Name" } } } ]}AuthorizationbearerToken
Default authentication mechanism
Filter flags by maintainer user id. Repeat the parameter for multiple maintainers (any may match).
Whether to include Marketplace experimentation items in the paginated response. Defaults to false.